Rc = 2;
Tm_10 = 5;
Hm0 = 2;
g = 9.81;
tan_alpha = 1/6;
cT = 1.0;

s0 = 2*pi/g*Hm0/(Tm_10^2);
ksi0 = tan_alpha/sqrt(s0);

Ru2p = 1.65*ksi0*Hm0;
q = (sqrt(g*Hm0^3))*0.067/sqrt(tan_alpha)*ksi0*exp(-4.75*Rc/Hm0/ksi0);
Pov = exp(-(sqrt(-log(0.02))*Rc/Ru2p)^2);
a = 0.84*Tm_10/cT*q/Pov;

Nw = 51;

PV = zeros(Nw,1);
V = zeros(Nw,1);


for i = 1:Nw
    % exceedance probability
    PV(i) = (i/Nw);
    V(i) = a*(-log(PV(i)))^(4/3);
end

plot(PV,V)